package com.engine.salary.service;

import com.engine.salary.entity.hrm.dto.HrmInfoDTO;
import com.engine.salary.entity.hrm.param.HrmQueryParam;
import com.engine.salary.entity.siaccount.dto.InsuranceCompensationDTO;
import com.engine.salary.entity.siaccount.param.CompensationParam;
import com.engine.salary.util.page.PageInfo;

import java.util.List;
import java.util.Map;

public interface SICompensationService {

    List<HrmInfoDTO> getEmployeeListToCompensation(HrmQueryParam param);

    List<Map<String, String>> compensationCategoryType(Long id);

    List<Map<String, String>> compensationComTotal(List<CompensationParam> paramList);

    Map<String, Object> compensationAccount(List<InsuranceCompensationDTO> list);

    /**
     * 保存社保调差默认配置
     */
    String compensationConfigSave(List<InsuranceCompensationDTO> param);

    /**
     * 社保调差撤回
     */
    String compensationRevert(InsuranceCompensationDTO param);

    /**
     * 社保调差历史记录列表
     */
    Map<String, Object> compensationList(String billMonth, Long paymentOrganization);
}
